Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.capability
Class DispatcherFactory

    java.lang.Object
      org.jboss.mx.capability.DispatcherFactory

All Implemented Interfaces:
  ServerConstants

public class DispatcherFactory
extends Object
implements ServerConstants

Creates and binds a dispatcher

Author:
  Trevor Squires., Juha Lindfors

Field Summary

Fields inherited from interface org.jboss.mx.server.ServerConstants
`CLASS_REMOVED, CLASSLOADER, CLASSLOADER_ADDED, CLASSLOADER_REMOVED, DEFAULT_DOMAIN, DEFAULT_LOADER_NAME, DEFAULT_LOADER_REPOSITORY_CLASS, DEFAULT_MBEAN_REGISTRY_CLASS, DEFAULT_MBEAN_SERVER_BUILDER_CLASS, DEFAULT_REQUIRED_MODELMBEAN_CLASS, DEFAULT_SCOPED_REPOSITORY_CLASS, DEFAULT_SCOPED_REPOSITORY_PARSER_CLASS, IMPLEMENTATION_NAME, IMPLEMENTATION_VENDOR, IMPLEMENTATION_VERSION, JMI_DOMAIN, LOADER_REPOSITORY_CLASS_PROPERTY, MBEAN_REGISTRY, MBEAN_REGISTRY_CLASS_PROPERTY, MBEAN_SERVER_BUILDER_CLASS_PROPERTY, MBEAN_SERVER_CONFIGURATION, MBEAN_SERVER_DELEGATE, OPTIMIZE_REFLECTED_DISPATCHER, REQUIRED_MODELMBEAN_CLASS_PROPERTY, SPECIFICATION_NAME, SPECIFICATION_VENDOR, SPECIFICATION_VERSION, UNIFIED_LOADER_REPOSITORY_CLASS`

Constructor Summary
`DispatcherFactory()`

Method Summary
`static DynamicMBean` | `create(MBeanInfo info, Object resource)` Creates a Dispatcher for an arbitrary resource.
`static DynamicMBean` | `create(MBeanInfo info, Object resource, AttributeOperationResolver resolver)` Creates a dispatcher for an arbitrary resource using the named AttributeOperationResolver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DispatcherFactory

    public DispatcherFactory()

Method Detail

### create

    public static DynamicMBean create(MBeanInfo info,
                                      Object resource)
                               throws IntrospectionException

  Creates a Dispatcher for an arbitrary resource. Useful for when you don't care about the AttributeOperationResolver.

  Throws:
    `IntrospectionException`

### create

    public static DynamicMBean create(MBeanInfo info,
                                      Object resource,
                                      AttributeOperationResolver resolver)
                               throws IntrospectionException

  Creates a dispatcher for an arbitrary resource using the named AttributeOperationResolver.

  Throws:
    `IntrospectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.